package xyz.etztech.qol.commands;

import org.apache.commons.lang.StringUtils;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import xyz.etztech.qol.QoL;

public class PluginsCommand implements CommandExecutor {

    QoL plugin;

    public PluginsCommand(QoL plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] strings) {

        commandSender.sendMessage(ChatColor.GOLD + "Plugins: " + ChatColor.YELLOW +
                StringUtils.join(plugin.getConfig().getStringList("plugins"), ", "));

        return true;
    }
}

