package xyz.etztech.qol.commands;

import org.apache.commons.lang.StringUtils;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import xyz.etztech.qol.QoL;
import xyz.etztech.qol.EtzTechUtil;
import xyz.etztech.qol.Lang;

public class SudoCommand implements CommandExecutor {


    QoL plugin;

    public SudoCommand(QoL paramQoL)
    {
        this.plugin = paramQoL;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] args) {
        if (!( commandSender instanceof Player)) {
            EtzTechUtil.sms(commandSender, Lang.NO_CONSOLE.getDef());
            return true;
        }
        if (!commandSender.hasPermission("qol.sudo")) {
            EtzTechUtil.sms(commandSender, Lang.NO_PERMISSION.getDef());
            return true;
        }
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), StringUtils.join(args, " "));

        StringBuilder message = new StringBuilder(ChatColor.GOLD + "Command Executed.");
        EtzTechUtil.sms(commandSender, message.toString());

        return true;
    }
}
