package xyz.etztech.qol.listeners;

import org.apache.commons.lang.StringUtils;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;
import org.bukkit.event.server.ServerListPingEvent;
import org.bukkit.util.CachedServerIcon;
import xyz.etztech.qol.QoL;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;

public class AsyncPlayerChatListener implements Listener {

    private QoL plugin;

    public AsyncPlayerChatListener(QoL plugin) {
        this.plugin = plugin;
    }

    @EventHandler(priority=EventPriority.HIGH, ignoreCancelled=true)
    public void onChat(AsyncPlayerChatEvent event) {

        Player player = event.getPlayer();
        if (QoL.hasSM(player)) {
            event.getRecipients().clear();
            event.getRecipients().add(player);
        }

        if (QoL.getTimeout() && !player.hasPermission("qol.timeout.bypass")) {
            event.getRecipients().clear();
        }
    }



}
